#
# spec file for package k3kcli
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           k3kcli
Version:        0.3.1
Release:        1.1
Summary:        Kubernetes in Kubernetes
License:        Apache-2.0
URL:            https://github.com/rancher/k3k
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.23

%description
A Kubernetes in Kubernetes tool, k3k provides a way to run multiple embedded
isolated k3s clusters on your kubernetes cluster.

%prep
%autosetup -p 1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags="-X github.com/rancher/k3k/pkg/buildinfo.Version=v%{version}" \
   -o bin/%{name} ./cli

%install
# Install the binary.
install -D -m 0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}

%check
bin/%{name} --version

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Fri Mar 21 2025 opensuse_buildservice@ojkastl.de
- Update to version 0.3.1:
  - Update CRDs documentation by @enrichman in #279
  - Update quickstart pre-requisite and add cli docs by @jp-gouin
    in #273
  - Fix bug with Kubeconfig value resolution by @jp-gouin in #288
  - Fix kubeconfig load from multiple configuration files by
    @enrichman in #301
  - Add documentation to install k3k on k3d by @rossella in #299
* Mon Feb 17 2025 opensuse_buildservice@ojkastl.de
- Update to version 0.3.0:
  CLI-related changes
  * Small cli refactor (`cluster name` as arg, default kubeconfig
    path) (#230)
* Wed Aug  7 2024 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- new package k3kcli: a Kubernetes in Kubernetes tool, k3k provides
  a way to run multiple embedded isolated k3s clusters on your
  kubernetes cluster
